# OpenLayers.Format.Filter

Read/Wite ogc:Filter. Create a new instance with the OpenLayers.Format.Filter constructor.

#### Inherits from

- OpenLayers.Format.XML.VersionedOGC

Summary

OpenLayers.Format.Filter | Read/Wite ogc:Filter.
Properties |
defaultVersion | {String} Version number to assume if none found.
Functions |
write | Write an ogc:Filter given a filter object.
read | Read and Filter doc and return an object representing the Filter.

### Properties

### defaultVersion

{String} Version number to assume if none found. Default is “1.0.0”.

### Functions

### write

Write an ogc:Filter given a filter object.

#### Parameters

filter | {OpenLayers.Filter} An filter.
options | {Object} Optional configuration object.

#### Returns

{Elment} An ogc:Filter element node.

### read

Read and Filter doc and return an object representing the Filter.

#### Parameters

data | {String | DOMElement} Data to read.

#### Returns

{OpenLayers.Filter} A filter object.

Read/Wite ogc:Filter.
Base class for versioned formats, i.e.
This class represents an OGC Filter.
Close